Mailinglist Archive: opensuse-buildservice (206 mails)

< Previous Next >
Re: [opensuse-buildservice] issue with dangling builds
On Tuesday 08 February 2011, 10:09:03 Stephan Kulow wrote:
Am Dienstag, 8. Februar 2011 schrieb Hans-Peter Jansen:
Hi,

in home:frispete:python, I've linked in python{-base} for 11.1,
since I needed to fix a bug, that Python v2.6.0 suffers from
(resulting in misbehavior and strange crashes of current python-sip
wrapped packages).

For some reason, I forgot to disable build and use-for-build flags
of python-base for the other targets (11.2 and 11.3). Now, that I
noticed the issues, I wiped the offending packages via webui, and
triggered rebuilds.

But still the packages of 11.2 and 11.3 try to build against
python-base-2.6.0.

It looks, like OBS still uses the misguided builds, that I wiped
already.

You can't wipe binaries that you disabled for useforbuild. Disable it
for build, enable for useforbuild and then wipe.

Well, I suspected something along these lines, but was impressed by the
fact, that, even those flags were in action, the webui has shown the
built packages, and offered me to remove them. After that, I checked
the download repositories, and indeed, they vanished.

useforbuild is a very confusing flag and only people should use it
that read a good part of the backend code ;(

Glad, you did, Stephan ;-)

I've set useforbuild to "take defaults" in python{-base}, now only build
is set to off for "All" and on just for 11.1 on these two packages.

After that, I did:

osc wipebinaries --build-disabled home:frispete:python python
osc wipebinaries --build-disabled home:frispete:python python-base

* triggered rebuild

osc rebuild home:frispete:python python-decorator
osc rebuild home:frispete:python python-ordereddict

* still failed

osc wipebinaries --unresolvable home:frispete:python python
osc wipebinaries --unresolvable home:frispete:python python-base

* triggered rebuild: still failed

osc wipebinaries home:frispete:python -r openSUSE_11.2
osc wipebinaries home:frispete:python -r openSUSE_11.3

* triggered rebuild: still failed

Unfortunately, I haven't found the magic spell to unlock this mess
again.

Interestingly, the build of python-ordereddict for 11.2/i586 succeeds,
but it still is built against python-base-2.6.0, although 2.6.2 is
expected. FYI: this is related to the python and python-base split, and
dependencies to them, but this induces another dangerous aspect here.
The x86_64 builds fail, because the noarch handling of python-base
changed between 11.1 and 11.2..

Pete
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups